org.apache.ignite.mxbean

## Interface PersistenceMetricsMXBean

- All Superinterfaces:
    PersistenceMetrics

  Deprecated.
  Part of old API. Metrics are accessible through `DataStorageMetricsMXBean`.

      @Deprecated
      public interface PersistenceMetricsMXBean
      extends PersistenceMetrics

  An MX bean allowing to monitor and tune persistence metrics.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableMetrics()` Deprecated. Disables persistence metrics collection on an Apache Ignite node.
    `void` | `enableMetrics()` Deprecated. Enables persistence metrics collection on an Apache Ignite node.
    `long` | `getLastCheckpointCopiedOnWritePagesNumber()` Deprecated. Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
    `long` | `getLastCheckpointDataPagesNumber()` Deprecated. Gets the number of data pages written during the last checkpoint.
    `long` | `getLastCheckpointFsyncDuration()` Deprecated. Gets the duration of the sync phase of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointingDuration()` Deprecated. Gets the duration of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointLockWaitDuration()` Deprecated. Gets the duration of last checkpoint lock wait in milliseconds.
    `long` | `getLastCheckpointMarkDuration()` Deprecated. Gets the duration of last checkpoint mark phase in milliseconds.
    `long` | `getLastCheckpointPagesWriteDuration()` Deprecated. Gets the duration of last checkpoint pages write phase in milliseconds.
    `long` | `getLastCheckpointTotalPagesNumber()` Deprecated. Gets the total number of pages written during the last checkpoint.
    `int` | `getWalArchiveSegments()` Deprecated.
    `float` | `getWalFsyncTimeAverage()` Deprecated. Gets the average WAL fsync duration in microseconds over the last time interval.
    `float` | `getWalLoggingRate()` Deprecated. Gets the average number of WAL records per second written during the last time interval.
    `float` | `getWalWritingRate()` Deprecated. Gets the average number of bytes per second written during the last time interval.
    `void` | `rateTimeInterval(long rateTimeInterval)` Deprecated. Sets time interval for rate-based metrics.
    `void` | `subIntervals(int subInts)` Deprecated. Sets a number of sub-intervals the whole `rateTimeInterval(long)` will be split into to calculate rate-based metrics.

- - ### Method Detail

    - #### getWalLoggingRate

          @MXBeanDescription(value="Average number of WAL records per second written during the last time interval.")
          float getWalLoggingRate()

      Deprecated.
      Gets the average number of WAL records per second written during the last time interval.

      The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

      Specified by:
        `getWalLoggingRate` in interface `PersistenceMetrics`
      Returns:
        The average number of WAL records per second written during the last time interval.

    - #### getWalWritingRate

          @MXBeanDescription(value="Average number of bytes per second written during the last time interval.")
          float getWalWritingRate()

      Deprecated.
      Gets the average number of bytes per second written during the last time interval. The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.
      Specified by:
        `getWalWritingRate` in interface `PersistenceMetrics`
      Returns:
        The average number of bytes per second written during the last time interval.

    - #### getWalArchiveSegments

          @MXBeanDescription(value="Current number of WAL segments in the WAL archive.")
          int getWalArchiveSegments()

      Deprecated.
      Specified by:
        `getWalArchiveSegments` in interface `PersistenceMetrics`
      Returns:
        The current number of WAL segments in the WAL archive.

    - #### getWalFsyncTimeAverage

          @MXBeanDescription(value="Average WAL fsync duration in microseconds over the last time interval.")
          float getWalFsyncTimeAverage()

      Deprecated.
      Gets the average WAL fsync duration in microseconds over the last time interval.

      The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

      Specified by:
        `getWalFsyncTimeAverage` in interface `PersistenceMetrics`
      Returns:
        The average WAL fsync duration in microseconds over the last time interval.

    - #### getLastCheckpointingDuration

          @MXBeanDescription(value="Duration of the last checkpoint in milliseconds.")
          long getLastCheckpointingDuration()

      Deprecated.
      Gets the duration of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointingDuration` in interface `PersistenceMetrics`
      Returns:
        Total checkpoint duration in milliseconds.

    - #### getLastCheckpointLockWaitDuration

          @MXBeanDescription(value="Duration of the checkpoint lock wait in milliseconds.")
          long getLastCheckpointLockWaitDuration()

      Deprecated.
      Gets the duration of last checkpoint lock wait in milliseconds.
      Specified by:
        `getLastCheckpointLockWaitDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint lock wait time in milliseconds.

    - #### getLastCheckpointMarkDuration

          @MXBeanDescription(value="Duration of the checkpoint mark in milliseconds.")
          long getLastCheckpointMarkDuration()

      Deprecated.
      Gets the duration of last checkpoint mark phase in milliseconds.
      Specified by:
        `getLastCheckpointMarkDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint mark duration in milliseconds.

    - #### getLastCheckpointPagesWriteDuration

          @MXBeanDescription(value="Duration of the checkpoint pages write in milliseconds.")
          long getLastCheckpointPagesWriteDuration()

      Deprecated.
      Gets the duration of last checkpoint pages write phase in milliseconds.
      Specified by:
        `getLastCheckpointPagesWriteDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint pages write phase in milliseconds.

    - #### getLastCheckpointFsyncDuration

          @MXBeanDescription(value="Duration of the sync phase of the last checkpoint in milliseconds.")
          long getLastCheckpointFsyncDuration()

      Deprecated.
      Gets the duration of the sync phase of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointFsyncDuration` in interface `PersistenceMetrics`
      Returns:
        Checkpoint fsync time in milliseconds.

    - #### getLastCheckpointTotalPagesNumber

          @MXBeanDescription(value="Total number of pages written during the last checkpoint.")
          long getLastCheckpointTotalPagesNumber()

      Deprecated.
      Gets the total number of pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointTotalPagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of pages written during the last checkpoint.

    - #### getLastCheckpointDataPagesNumber

          @MXBeanDescription(value="Total number of data pages written during the last checkpoint.")
          long getLastCheckpointDataPagesNumber()

      Deprecated.
      Gets the number of data pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointDataPagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of data pages written during the last checkpoint.

    - #### getLastCheckpointCopiedOnWritePagesNumber

          @MXBeanDescription(value="Number of pages copied to a temporary checkpoint buffer during the last checkpoint.")
          long getLastCheckpointCopiedOnWritePagesNumber()

      Deprecated.
      Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
      Specified by:
        `getLastCheckpointCopiedOnWritePagesNumber` in interface `PersistenceMetrics`
      Returns:
        Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

    - #### enableMetrics

          @MXBeanDescription(value="Enables persistence metrics collection on an Apache Ignite node.")
          void enableMetrics()

      Deprecated.
      Enables persistence metrics collection on an Apache Ignite node.

    - #### disableMetrics

          @MXBeanDescription(value="Disables persistence metrics collection on an Apache Ignite node.")
          void disableMetrics()

      Deprecated.
      Disables persistence metrics collection on an Apache Ignite node.

    - #### rateTimeInterval

          @MXBeanDescription(value="Sets time interval for pages allocation and eviction monitoring purposes.")
          void rateTimeInterval(@MXBeanParameter(name="rateTimeInterval",description="Time interval (in milliseconds) to set.")
                                                                                                                                      long rateTimeInterval)

      Deprecated.
      Sets time interval for rate-based metrics. Identical to setting `PersistentStoreConfiguration.setRateTimeInterval(long)` configuration property.
      Parameters:
        `rateTimeInterval` - Time interval (in milliseconds) used for allocation and eviction rates calculations.

    - #### subIntervals

          @MXBeanDescription(value="Sets a number of sub-intervals to calculate allocation and eviction rates metrics.")
          void subIntervals(@MXBeanParameter(name="subInts",description="Number of subintervals to set.")
                                                                                                                                           int subInts)

      Deprecated.
      Sets a number of sub-intervals the whole `rateTimeInterval(long)` will be split into to calculate rate-based metrics. Identical to setting `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.
      Parameters:
        `subInts` - A number of sub-intervals.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022